import ViewMessageService from '../view-message-service';
/**
 * 表格新建默认值视图消息服务对象基类
 *
 * @export
 * @class ViewMsg13MessageServiceBase
 */
export default class ViewMsg13MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg13MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg13MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg13MessageServiceBase
     */
    public initBasicParam(){
        this.id = "ccffb823f9815ce8159b248bc459cccf";
        this.name = "表格新建默认值";
        this.codename = "ViewMsg13";
        this.title = "";
        this.content = "本示例展示实体表格的新建默认值功能：新建时提供默认值。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg13MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}